> ## Documentation Index
> Fetch the complete documentation index at: https://www.canva.dev/docs/apps/llms.txt
> Use this file to discover all available pages before exploring further.
# Get asset upload job via URL
Get the status and results of job to upload asset from a URL.
Get the result of an asset upload job that was created using the [Create asset upload job via URL API](https://www.canva.dev/docs/apps/rest-apis/reference/assets/create-url-asset-upload-job/).
You might need to make multiple requests to this endpoint until you get a `success` or `failed` status. For more information on the workflow for using asynchronous jobs, see [API requests and responses](https://www.canva.dev/docs/apps/rest-apis/requests-responses/#asynchronous-job-endpoints).
## HTTP method and URL path
GET https\://api.canva.com/rest/v1/url-asset-uploads/\{jobId}
This operation is rate limited to 180 requests per minute for each user of your app.
## Authentication and authorization
This endpoint requires a valid access token that acts on behalf of a user. For more information, see [Generate an access token](/docs/apps/rest-apis/reference/authentication/generate-access-token).
### Scopes
The access token must have all the following [scopes](/docs/apps/rest-apis/scopes) (permissions):
* `asset:read`
## Header parameters
Provides credentials to authenticate the request, in the form of a `Bearer` token.
For example: `Authorization: Bearer {token}`
## Path parameters
The asset upload job ID.
## Example request
Examples for using the `/v1/url-asset-uploads/{jobId}` endpoint:
```sh
curl --request GET 'https://api.canva.com/rest/v1/url-asset-uploads/{jobId}' \
--header 'Authorization: Bearer {token}'
```
```js
const fetch = require("node-fetch");
fetch("https://api.canva.com/rest/v1/url-asset-uploads/{jobId}", {
method: "GET",
headers: {
"Authorization": "Bearer {token}",
},
})
.then(async (response) => {
const data = await response.json();
console.log(data);
})
.catch(err => console.error(err));
```
```java
import java.io.IOException;
import java.net.URI;
import java.net.http.*;
public class ApiExample {
public static void main(String[] args) throws IOException, InterruptedException {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.canva.com/rest/v1/url-asset-uploads/{jobId}"))
.header("Authorization", "Bearer {token}")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse response = HttpClient.newHttpClient().send(
request,
HttpResponse.BodyHandlers.ofString()
);
System.out.println(response.body());
}
}
```
```py
import requests
headers = {
"Authorization": "Bearer {token}"
}
response = requests.get("https://api.canva.com/rest/v1/url-asset-uploads/{jobId}",
headers=headers
)
print(response.json())
```
```csharp
using System.Net.Http;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://api.canva.com/rest/v1/url-asset-uploads/{jobId}"),
Headers =
{
{ "Authorization", "Bearer {token}" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
};
```
```go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.canva.com/rest/v1/url-asset-uploads/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer {token}")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
```
```php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api.canva.com/rest/v1/url-asset-uploads/{jobId}",
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer {token}',
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if (empty($err)) {
echo $response;
} else {
echo "Error: " . $err;
}
```
```ruby
require 'net/http'
require 'uri'
url = URI('https://api.canva.com/rest/v1/url-asset-uploads/{jobId}')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request['Authorization'] = 'Bearer {token}'
response = http.request(request)
puts response.read_body
```
## Success response
If successful, the endpoint returns a `200` response with a JSON body with the following parameters:
The status of the asset upload job.
Properties of job>} defaultExpanded={true}>
The ID of the asset upload job.
Status of the asset upload job.
**Available values:**
* `failed`
* `in_progress`
* `success`
If the upload fails, this object provides details about the error.
Properties of error>}>
A short string indicating why the upload failed. This field can be used to handle errors
programmatically.
**Available values:**
* `file_too_big`
* `import_failed`
* `fetch_failed`
A human-readable description of what went wrong.
The asset object, which contains metadata about the asset.
Properties of asset>}>
Type of an asset.
**Available values:**
* `image`
* `video`
The ID of the asset.
The name of the asset.
The user-facing tags attached to the asset.
Users can add these tags to their uploaded assets, and they can search their uploaded
assets in the Canva UI by searching for these tags. For information on how users use
tags, see the
[Canva Help Center page on asset tags](https://www.canva.com/help/add-edit-tags/).
When the asset was added to Canva, as a Unix timestamp (in seconds since the Unix
Epoch).
When the asset was last updated in Canva, as a Unix timestamp (in seconds since the
Unix Epoch).
Metadata for the user, consisting of the User ID and Team ID.
Properties of owner>}>
The ID of the user.
The ID of the user's Canva Team.
A thumbnail image representing the object.
Properties of thumbnail>}>
The width of the thumbnail image in pixels.
The height of the thumbnail image in pixels.
A URL for retrieving the thumbnail image.
This URL expires after 15 minutes. This URL includes a query string
that's required for retrieving the thumbnail.
Type-specific metadata for the asset.
**Available values:** The only valid value is `image`.
The width of the image in pixels.
The height of the image in pixels.
AI-generated tags for the image.
**Available values:** The only valid value is `video`.
The width of the video in pixels.
The height of the video in pixels.
The duration of the video in seconds.
The import status of the asset.
Properties of import_status>}>
State of the import job for an uploaded asset.
**Available values:**
* `failed`
* `in_progress`
* `success`
If the import fails, this object provides details about the error.
Properties of error>}>
A human-readable description of what went wrong.
A short string indicating why the upload failed. This field can be used to handle errors programmatically.
**Available values:**
* `file_too_big`
* `import_failed`
## Example responses
### In progress job
```json
{
"job": {
"id": "e08861ae-3b29-45db-8dc1-1fe0bf7f1cc8",
"status": "in_progress"
}
}
```
### Successfully completed job
```json
{
"job": {
"id": "e08861ae-3b29-45db-8dc1-1fe0bf7f1cc8",
"status": "success",
"asset": {
"id": "Msd59349ff",
"type": "image",
"name": "My Awesome Upload",
"tags": [
"image",
"holiday",
"best day ever"
],
"owner": {
"user_id": "oU123456AbCdE",
"team_id": "oB123456AbCdE"
},
"created_at": 1377396000,
"updated_at": 1692928800,
"thumbnail": {
"width": 595,
"height": 335,
"url": "https://document-export.canva.com/Vczz9/zF9vzVtdADc/2/thumbnail/0001.png?"
}
}
}
}
```
### Failed job
```json
{
"job": {
"id": "e08861ae-3b29-45db-8dc1-1fe0bf7f1cc8",
"status": "failed",
"error": {
"code": "file_too_big",
"message": "Failed to import because the file is too big"
}
}
}
```
## Error responses
### 403 Forbidden
A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/).
A human-readable description of what went wrong.
#### Example error response
##### Not allowed to get this job status
```json
{
"code": "permission_denied",
"message": "Not allowed to get this job status"
}
```
### 404 Not Found
A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/).
A human-readable description of what went wrong.
#### Example error response
##### Job not found
```json
{
"code": "not_found",
"message": "Job {jobId} not found"
}
```